%define ver 1.0.0
%define rel 1

Summary: simple network-diagram image generator
Summary(ja): シンプルなテキストからネットワーク図を生成するツール
Name: nwdiag
Version: %{ver}
Release: %{rel}%{?_dist_release}

License: Apache License 2.0
Group: Applications/Text
URL: http://blockdiag.com/ja/nwdiag/
Source0: http://pypi.python.org/packages/source/n/nwdiag/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: python-devel >= 2.4
BuildRequires: python-setuptools
Requires: python(abi) = %pyver
Requires: python >= 2.4
Requires: python-imaging >= 1.1.5
Requires: python-funcparserlib >= 0.3.4

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
nwdiag generate network-diagram image file from spec-text file.

%prep
%setup -q

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --skip-build --root %{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc src/README.txt src/TODO.txt LICENSE examples
%{_bindir}/nwdiag
%{_bindir}/packetdiag
%{_bindir}/rackdiag
%{python_sitelib}/nwdiag-%{ver}-py*.egg-info
%{python_sitelib}/nwdiag
%{python_sitelib}/packetdiag
%{python_sitelib}/rackdiag
%{python_sitelib}/nwdiag_sphinxhelper.*
%{python_sitelib}/packetdiag_sphinxhelper.*
%{python_sitelib}/rackdiag_sphinxhelper.*

%changelog
* Mon Dec 30 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 1.0.0-1
- update to 1.0.0

* Sun Mar  3 2013 IWAI, Masaharu <iwai@alib.jp> 0.9.4-1
- new upstream release
 - add packetdiag and rackdiag
 - drop sphinxcontrib_nwdiag.*: upstream removed
- add examples in doc dir
- add Requires: python(abi) = %%pyver
- add Summary(ja)
- update URL: upstream moved

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-2
- rebuild with python-2.7.2

* Mon May 16 2011 IWAI, Masaharu <iwai@alib.jp> 0.2.3-1
- Initial build.
